
## Titel & Scrolling

Zu einem Chat-Programm fehlt uns noch:

1. Ein Titel im Fenster oben
2. Eine Bildlaufleiste (Warum?)
3. Ein Beenden-Button

Unser Ergebnis könnte so aussehen:

![Chatten mit Python](chat_tkinter2.jpg)

* * *  

### Der Titel

    
    
    >>> from Tkinter import *
    >>> root = Tk()
    >>> root._title('Chatten mit Python')_
    >>> root.mainloop()
   
* * *    

### Die Bildlaufleiste

    
    
    >>> from Tkinter import *
    >>> from _ScrolledText_ import *
    >>> root = Tk()
    >>> textfenster = _ScrolledText_(root,width=90)
    >>> textfenster.pack()
    >>> root.mainloop()
    

`ScrolledText` ist eine Bibliothek (Modul) von Befehlen, die auf Tkinter-
Befehlen aufbauen, wir bedanken uns bei [Fredrik
Lundh](http://effbot.org/zone/tkinter-scrollbar-patterns.htm)!

* * *

### Der Beenden-Button

muss in etwa das gleiche leisten wie der Klick auf das kleine Kreuz im Fenster
oben rechts: ![](tkinter_beenden.jpg)

    
    
    >>> from Tkinter import *
    >>> root = Tk()
    >>> def ende():
            root._destroy()_
    

`root.destroy()` schließt das momentan geöffnete Fenster, hier also das
`root`-Fenster, in dem unsere chat-Anwendung läuft, genau wie der Klick auf
das kleine Kreuz im Fenster oben! Und hier noch die

* * *

### Aufgabe

Erweitere dein Python-Programm vom letzten Mal um die Dinge, die hier stehen!


<hr style="page-break-after:always">

&rarr; sp, 2016-12-02

- - - -
- - - -
